# @thundercore/eco-lib

> Made with create-react-library

[![NPM](https://img.shields.io/npm/v/@thundercore/eco-lib.svg)](https://www.npmjs.com/package/eco-lib)

Recommended node version: 14
Recommended package manager: Yarn

## Install

```bash
# Yarn
yarn add @thundercore/eco-lib
# Npm
npm install --save @thundercore/eco-lib
```

## Usage

```tsx
import React, { Component } from "react";

import { Navbar, Footer, Providers } from "@thundercore/eco-lib";

class Example extends Component {
  render() {
    const locale = 'en'
    const myUpdateLocaleFunction = () => {}

    return (
      <Providers>
        <Navbar locale={locale} updateLocale={myUpdateLocaleFunction} />
        <Footer locale={locale} />
      </Providers>
    );
  }
}
```

## Run an example

```bash
yarn build
# or `yarn start` to watch the changes
cd example
yarn
yarn start
```

## Upgrade

1. yarn publish
2. commit & push package.json

## License

GPL v3
